Subject: RE: Strategy for VPN work in IETF

From: "Marco Carugi" <[email-masked]>
Date: Tue, 6 May 2003 21:55:29 +0200

Alex, 

I had promised myself to keep quiet for a while on this topic and
respectfully listening to the list. Reading some assertions, I cannot
anymore.

Looking after the best interest of the WG and having worked so hard to
create it time ago. 

Inline, Marco

> Alex Zinin wrote : 
> 
> <snip>
> 
> Let me provide some clarifications wrt the questions raised in this
> thread.
>  
> 1. Changes will induce additional delays
> 
>    I should have communicated this better, I think. The fact that
>    we're talking about two separate WGs does NOT mean that work within
>    PPVPN is stopped. As my message said, the new WGs would be
>    announced at the same time as the current one would be closed.
>    Until then, the only discussion happening on the new WG's mailing
>    lists would be about the charter and the PPVPN would conduct
>    business as usual. We're closely coordinating with Marco and Rick,

We (chairs) have just been requested to provide our advice on WG splitting
without having had any way to participate in the discussion on issues. 
We have explained that, before discussing solutions, the issues should be
openly discussed and agreed (I saw this happening for other topics, ex.
Sub-IP area future debate in Atlanta). And that, ADs and TA ("you" have been
the PPVPN TA until one month ago for a long time) never expressed such
concerns in the past (or even, almost never dialogue with us 
(TA case)) .
We have brought a number of reasons on why splitting is not a good idea. 
I also made a reasonable proposal that you noted (but has not been discussed
with the WG). 
You finally said that you will propose your plan anyway to the WG. 

Is this "close coordination" ?

>    so all decisions taken within PPVPN will be effective in the new
>    WGs.
> 
>    So, the changes will not affect how the PPVPN documents are
>    progressed.
> 
> 2. Not much L3 stuff is left anyway, so putting it in a separate WG
>    won't help.
> 
>    This is, of course, the first thing that was checked before
>    deciding whether separate WGs are needed or not. The proposed
>    charter of the L3VPN WG will give a clear view of what's left and
>    how much time it needs (see also my answer to the next question).

You have not discussed the charters topic with us (chairs). We just answered
to some milestone questions when looking at current L3 and L2 work items. 

On the other side, we heared that some concerns "still" exist at IESG level
on specific "L3" solution which has been explicitly included in the PPVPN
charter at WG creation time: this topic is certainly not in scope here, but
may explain some WG issues.  
I would have expected (and I actually thought) these concerns were over
after all this time. 

>    Long story short, it does look like that there's enough work left
>    to warrant a separate WG.

This is questionable.

> 3. What are the new charters going to be like and who are the chairs?
> 
>    I am in the process of creating the new mailing lists, as soon as
>    they are ready (shouldn't take the secretariat more than 2 days), I
>    will inform this list and will post the proposed charters there for
>    discussion.

So, it seems like you will anticipate creation of the lists (as well as
charter discussions), without waiting for extensive input on the plan as
requested from the list.

> <snip>
> 
> 5. What to do with "generic" documents like requirements and 
> terminology?
> 
>    For documents that span both WGs, one of the WGs will be made the
>    host for each them based on the discussion with the 
> community, authors,
>    and WG chairs.

This shows one of the limits of the plan. 
Without mentioning other generic documents (topics), like management or
security frameworks. 

> 
> 6. Let's see who's complaining, what the concerns are, whether they
>    are valid, etc, etc.
> 
>    Management of WGs within areas is part of the AD's
>    responsibilities. While doing so, we talk to different IETF
>    participants, document authors, WG chairs, collect opinions, then
>    compare those with our observations, and apply our judgement to
>    decide whether something needs to be changed and how.
> 
>    Given that these processes happen under the confidentiality
>    conditions, it would not be productive and/or constructive to do
>    this in public. 

This is very easy to say. The fact is that you didn't bring us (Rick and I)
very factual elements about these concerns. 
For our part, we brought a number of counter elements (including past lack
of support in our regards, change in L2 solution work direction promoted at
the AD level - this last thing not wrong per se IMO (I already said this),
but certainly with some WG management inconvenients).

Hope this provides some clarification.

---

From: Alex Zinin <[email-masked]>
Date: Wed, 7 May 2003 16:42:07 -0700

Marco,

 I'll take this off the list.

-- 
Alex